Download a file of the onboarding form
Redirects to a signed link of the storage that is valid for 60 seconds and delivers the file as a download with its name. Fetch the link right away, do not store it. Read permission is enough.
GET
/
offers
/
{id}
/
files
/
{fileId}
Download a file of the onboarding form
curl --request GET \
--url https://app.hocdoc.com/api/v1/offers/{id}/files/{fileId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hocdoc.com/api/v1/offers/{id}/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hocdoc.com/api/v1/offers/{id}/files/{fileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"error": {
"code": "invalid_request",
"message": "Query string too long."
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "method_not_allowed",
"message": "Method not allowed."
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests."
}
}{
"error": {
"code": "internal_error",
"message": "Internal server error."
}
}⌘I
Download a file of the onboarding form
curl --request GET \
--url https://app.hocdoc.com/api/v1/offers/{id}/files/{fileId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hocdoc.com/api/v1/offers/{id}/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hocdoc.com/api/v1/offers/{id}/files/{fileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"error": {
"code": "invalid_request",
"message": "Query string too long."
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "method_not_allowed",
"message": "Method not allowed."
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests."
}
}{
"error": {
"code": "internal_error",
"message": "Internal server error."
}
}